please merge chm2pdf 0.9.1-1.1 from debian unstable

Bug #309481 reported by Manny Vindiola on 2008-12-18
4
Affects Status Importance Assigned to Milestone
chm2pdf (Ubuntu)
Low
Scott Kitterman

Bug Description

Binary package hint: chm2pdf

please merge chm2pdf 0.9.1-1.1 from debian unstable:

changelog
chm2pdf (0.9.1-1.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable , remaining changes:
      * debian/control:
        - added Homepage field
      * Minor manpage fixes

 -- Manny Vindiola <email address hidden> Thu, 18 Dec 2008 15:41:50 -0500

chm2pdf (0.9.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control, debian/rules: use quilt to manage patches
  * insecure_temp_dirs.diff (Closes: #501959):
    - Don't use static names to create temp dirs.
    - Commented out --dontextract from usage info, as it is not very useful now
  * bashisms.diff: fix bashism in chm2pdf (Closes: #502044).

 -- Raphael Geissert <email address hidden> Sun, 12 Oct 2008 17:54:24 -0500

Related branches

Manny Vindiola (serialorder) wrote :

package builds successfully
package installs successfully

Steve, since you are the debian maintained would you mind incorporating these changes upstream?

Steve Stalcup (vorian) wrote :

I will most likely upload your changes to Ubuntu. There are major improvements in the works on this little script, exciting stuff. My manpage is aweful, so thanks for cleaning it up :)

Changed in chm2pdf:
assignee: nobody → vorian
importance: Undecided → Low
status: New → In Progress
Steve Stalcup (vorian) wrote :

the patch does not apply properly.... it could be things like this line:
+Sets the JPEG Django_Newbiecompression level to use for large images. A value (I'm sure this was just an oversight)

Overall, I really like the improvements you have made to the manpage.

Please clean up this patch, and re-subscribe sponsors when ready :)

Changed in chm2pdf:
assignee: vorian → serialorder
status: In Progress → Incomplete
Manny Vindiola (serialorder) wrote :

Can you please indicate what the problem with the patch was?
I am able to build correctly in pbuilder
I also reapplied the patch to a clean chm2pdf_0.9.1-1.1 source tree with same result
I am reattaching the debdiff just in case there was some problem
Resubscribing sponsors

Changed in chm2pdf:
assignee: serialorder → nobody
status: Incomplete → Confirmed
Changed in chm2pdf:
assignee: nobody → kitterman
status: Confirmed → In Progress
Scott Kitterman (kitterman) wrote :

Uploaded. Thank you for your contribution to Ubuntu.

Changed in chm2pdf:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chm2pdf - 0.9.1-1.1ubuntu1

---------------
chm2pdf (0.9.1-1.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #309481), remaining changes:
      * debian/control:
        - added Homepage field
      * Minor manpage fixes

chm2pdf (0.9.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control, debian/rules: use quilt to manage patches
  * insecure_temp_dirs.diff (Closes: #501959):
    - Don't use static names to create temp dirs.
    - Commented out --dontextract from usage info, as it is not very useful now
  * bashisms.diff: fix bashism in chm2pdf (Closes: #502044).

chm2pdf (0.9.1-1) unstable; urgency=low

  * New upstream release
    - removed htmldoc.patch
    - commented out patch rule in debian/rules
  * Bumped Standards version to 3.8.0
  * Added python-beautifulsoup as Suggests in debian/control

 -- Manny Vindiola <email address hidden> Thu, 18 Dec 2008 15:41:50 -0500

Changed in chm2pdf:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers